Subject: Re: [PATCH] merge-recursive: move the global obuf to struct merge_options

From: Miklos Vajna <[email-masked]>
Date: Wed, 3 Sep 2008 19:34:36 +0200

On Wed, Sep 03, 2008 at 02:39:09AM +0200, Miklos Vajna <[email-masked]> wrote:
> BTW, there are 3 leftovers: make_virtual_commit()'s virtual_id and the
> global current_file_set/current_directory_set. I guess all of them
> could be moved to merge_options as well. (I don't have more time today
> to do so, but I can do it tomorrow, unless you see some fundamental
> problem with it.)

Here are the two patches, that do this.

These, and the 4 other related patches which are not yet in git.git at
the moment are also available in the 'merge-recursive' branch of
git://repo.or.cz/git/vmiklos.git.

Miklos Vajna (2):
  merge-recursive: move current_{file,directory}_set to struct
    merge_options
  merge-recursive: move make_virtual_commit()'s virtual_id to
    merge_options

 merge-recursive.c |   80 ++++++++++++++++++++++++++++------------------------
 merge-recursive.h |    5 +++
 2 files changed, 48 insertions(+), 37 deletions(-)